<form action="{$smarty.const.IA_URL}search/properties/" method="get" class="b-search">
	<div class="container">
		<div class="b-search__controls">
			<div class="b-search__controls__item b-search__controls__item--selects">
				<div class="b-selects">
					<div class="b-selects__item">
						<select class="input-block-level" name="type" id="re-s-type">
							<option value="">{lang key='field_type'}</option>
							{foreach $realestate_blocks.search.type as $value => $title}
								<option value="{$value}"{if $realestate_blocks.search.defaults.type == $value} selected="selected"{/if}>{$title}</option>
							{/foreach}
						</select>
					</div>
					<div class="b-selects__item">
						<select class="input-block-level" name="category" id="re-s-category">
							<option value="">{lang key='category'}</option>
							{foreach $realestate_blocks.search.category as $value => $title}
								<option value="{$value}"{if $realestate_blocks.search.defaults.category == $value} selected="selected"{/if}>{$title}</option>
							{/foreach}
						</select>
					</div>
					<div class="b-selects__item">
						<input type="text" name="keyword" autocomplete="off" id="qs-keyword" value="{$realestate_blocks.search.defaults.keyword}" placeholder="{lang key='field_address'}">
						{*if isset($realestate_blocks.search.example)}
							<p class="help-block">
								<span>{lang key='for_example'}</span> <a href="#" class="js-location-example">{$realestate_blocks.search.example}</a>
							</p>
						{/if*}
					</div>
				</div>
			</div>
			<div class="b-search__controls__item b-search__controls__item--price">
				<label for="">{lang key='price'}</label>
				<input type="text" id="qs-price" 
					data-type="double" 
					data-min="0" 
					data-max="{if $realestate_blocks.search.defaults.price.maxavailable}{$realestate_blocks.search.defaults.price.maxavailable}{else}1000000{/if}" 
					data-from="{if isset($smarty.get.price_from)}{$smarty.get.price_from}{else}55000{/if}" 
					data-to="{if isset($smarty.get.price_to)}{$smarty.get.price_to}{elseif $realestate_blocks.search.defaults.price.maxavailable}{$realestate_blocks.search.defaults.price.maxavailable}{else}1000000{/if}"
					data-step="10000">

				<input type="hidden" id="re-s-price-from" name="price_from" value="{if isset($smarty.get.price_from)}{$smarty.get.price_from}{else}0{/if}">
				<input type="hidden" id="re-s-price-to" name="price_to" value="{if isset($smarty.get.price_to)}{$smarty.get.price_to}{elseif $realestate_blocks.search.defaults.price.maxavailable}{$realestate_blocks.search.defaults.price.maxavailable}{else}1000000{/if}">
			</div>
			<div class="b-search__controls__item b-search__controls__item--actions">
				<button type="submit" class="btn btn-primary btn-block">{lang key='search'}</button>
			</div>
		</div>
	</div>
</form>

{ia_add_media files='js:_IA_TPL_ion.rangeSlider.min'}

{ia_add_js}
$('.js-location-example').on('click', function(e)
{
	e.preventDefault();
	$('#qs-keyword').val($(this).text());
});

$('#qs-keyword').typeahead(
{
	source: function(query, process)
	{
		return $.ajax(
		{
			url: intelli.config.ia_url + 'search/properties.json',
			type: 'get',
			dataType: 'json',
			data: { q: query },
			success: function(response)
			{
				return process(response);
			}
		});
	}
});
{/ia_add_js}