{if isset($author)}
	<div class="b-author">
		<div class="b-author__info">
			<a class="b-author__info__ava" href="{ia_url type='url' item='members' data=$author}">
				{if 'individual' == $author.registered_status}
					{if $author.avatar}
						{assign avatar $author.avatar|unserialize}
						{if $avatar}
							{printImage imgfile=$avatar.path width=80 title=$author.fullname|default:$author.username}
						{else}
							<img src="{$img}no-avatar.png" width="80" alt="{$author.username}">
						{/if}
					{else}
						<img src="{$img}no-avatar.png" width="80" alt="{$author.username}">
					{/if}
				{elseif 'agency' == $author.registered_status}
					{if $author.logo}
						{assign logo $author.logo|unserialize}
						{if $logo}
							{printImage imgfile=$logo.path width=80 title=$author.fullname|default:$author.username}
						{else}
							<img src="{$img}no-avatar.png" width="80" alt="{$author.username}">
						{/if}
					{else}
						<img src="{$img}no-avatar.png" width="80" alt="{$author.username}">
					{/if}
				{/if}
			</a>
			<div class="b-author__info__name">
				<a href="{ia_url type='url' item='members' data=$author}">{$author.fullname}</a>
				{if 'agency' == $author.registered_status}
					<span>{lang key='field_registered_status_agency'}: <a href="{ia_url type='url' item='members' data=$author}">{$author.company_name}</a></span>
				{/if}
				{if 'individual' == $author.registered_status && $author.phone}
					<span><i class="icon-phone"></i> {$author.phone}</span>
				{/if}
			</div>
		</div>
		<div class="b-author__contact">
			<h4>{lang key='seller_info'}</h4>
			<div class="b-contact">
				<p>
					{if 'agency' == $author.registered_status && $author.registration_number}
						<i class="icon-bookmark-empty"></i> {lang key='field_registration_number'}: {$author.registration_number}<br>
					{/if}

					{if $author.address}<i class="icon-map-marker"></i> {$author.address}<br>{/if}
					{if $author.website}
						{assign web explode('|', $author.website)}
						<i class="icon-link"></i> <a href="{$web[0]}">{$web[1]|default:$web[0]}</a><br>
					{/if}
					{if $author.skype}<i class="icon-skype"></i> <a href="skype:{$author.skype}?call">{$author.skype}</a>{/if}
				</p>
			</div>
			<h4>{lang key='contact_seller'}</h4>
			<div class="b-contact" id="send-email-box">
				<div class="alert" id="author-block-alert" style="display: none;"></div>

				<div class="controls">
					<input type="text" id="from-name" name="from_name" class="input-block-level" placeholder="{lang key='your_name'}">
				</div>

				<div class="controls fright">
					<input type="text" id="from-email" name="from_email" class="input-block-level" placeholder="{lang key='your_email'}">
				</div>

				<div class="controls">
					<textarea id="email-body" name="email_body" class="input-block-level" rows="4" placeholder="{lang key='msg'}"></textarea>
				</div>

				{if !$member}
					<div class="captcha" style="margin-top: 12px;">
						{captcha}
					</div>
				{/if}

				<input type="hidden" id="author-id" name="author_id" value="{$author.id}">
				<input type="hidden" id="regarding-page" name="regarding" value="{$page.title|escape:'html'}">

				<div class="b-contact__actions">
					<a href="{$smarty.const.IA_SELF}#" class="btn btn-primary btn-block" id="send-email">{lang key='send'}</a>
				</div>
			</div>
		</div>
	</div>

	{ia_add_js}
$(function()
{
	$('#send-email').click(function(e)
	{
		e.preventDefault();

		if (!$(this).hasClass('disabled'))
		{
			var url = intelli.config.ia_url + 'actions/read.json';
			var params = new Object();
			$.each($('input', '#send-email-box'), function()
			{
				var input_name = $(this).attr('name');
				params[input_name] = $(this).val();
			});

			params['action'] = 'send_email';
			params['email_body'] = $('#email-body').val();

			$.post(url, params, function(data)
			{
				if (data.error)
				{
					$('#author-block-alert').addClass('alert-danger').removeClass('alert-success');
				}
				else
				{
					$('#author-block-alert').addClass('alert-success').removeClass('alert-danger');
					$('#send-email').addClass('disabled');
					setTimeout(function()
					{
						$('#send-email-box').modal('hide');
					}, 1500);
				}

				$('#author-block-alert').html(data.message.join('<br>')).show();
			});
		}
	});
});
	{/ia_add_js}
{/if}