{if isset($realestate_blocks.listings.recent)}
	<div class="section-header">
		<h2>{lang key='latest_title'}</h2>
	</div>
	<div class="items-list">
		{foreach $realestate_blocks.listings.recent as $item}
			<div class="b-item">
				{if $item.gallery}
					<a class="b-item__img" href="{ia_url type='url' item='estates' data=$item}">
						{printImage imgfile=$item.gallery[0]['path'] title=$item.title}
					</a>
				{/if}
				<div class="b-item__body">
					<div class="b-item__body__price">{$config.currency} {$item.price}</div>
					<h3><a href="{ia_url type='url' item='estates' data=$item}">{$item.title|escape|truncate:60:'...':true}</a></h3>
					<p class="b-item__body__desc"><i class="icon-map-marker"></i> {$item.address}, {$item.location}, {$item.state}</p>

					<table class="b-item__body__spec">
						<tbody>
							<tr>
								<td>{lang key="field_category"}:</td>
								<td><b><a href="{$packages.realestate.url}category/{$item.category}/">{lang key="field_category_{$item.category}"}</a></b></td>
								<td class="second-column">{lang key='field_bedrooms'}:</td>
								<td><b>{$item.bedrooms}</b></td>
							</tr>
							<tr>
								<td>{lang key='field_type'}:</td>
								<td><b><a href="{$packages.realestate.url}type/{$item.type}/">{lang key="field_type_{$item.type}"}</a></b></td>
								<td class="second-column">{lang key='field_bathrooms'}:</td>
								<td><b>{$item.bathrooms}</b></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		{/foreach}
	</div>
{/if}