{if isset($location.description)}
	<div class="page-description">{$location.description}</div>
{/if}

{if isset($locations) && $locations}
	<div class="ia-categories ia-categories--makes">
		{include file='ia-categories.tpl' categories=$locations item='realestate_locations' show_amount=true num_columns=$config.realestate_location_columns}
	</div>
{/if}

{if isset($listings)}
	{if $listings}
		{if !isset($no_sorting)}
			<div class="ia-sorting">
				<div class="ia-sorting__item">
					<a class="dropdown-toggle" data-toggle="dropdown" href="#">
						{if iaDb::ORDER_ASC == $sorting.direction}
							{lang key='asc'}
						{else}
							{lang key='desc'}
						{/if}
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu pull-right">
						<li><a href="{$smarty.const.IA_SELF}?order=asc" rel="nofollow"><i class="icon-long-arrow-down"></i> {lang key='asc'}</a></li>
						<li><a href="{$smarty.const.IA_SELF}?order=desc" rel="nofollow"><i class="icon-long-arrow-up"></i> {lang key='desc'}</a></li>
					</ul>
				</div>
				<div class="ia-sorting__item">
					<a class="dropdown-toggle" data-toggle="dropdown" href="#">
						{if 'date_modified' == $sorting.field} 
							{lang key='last_modified'} 
						{elseif 'views_num' == $sorting.field} 
							{lang key='views'} 
						{else}
							{lang key=$sorting.field}
						{/if}
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu pull-right">
						<li><a href="{$smarty.const.IA_SELF}?sort=views" rel="nofollow"><i class="icon-eye-open"></i> {lang key='views'}</a></li>
						<li><a href="{$smarty.const.IA_SELF}?sort=price" rel="nofollow"><i class="icon-dollar"></i> {lang key='price'}</a></li>
						<li><a href="{$smarty.const.IA_SELF}?sort=year" rel="nofollow"><i class="icon-calendar"></i> {lang key='built_year'}</a></li>
						<li><a href="{$smarty.const.IA_SELF}?sort=date" rel="nofollow"><i class="icon-time"></i> {lang key='last_modified'}</a></li>
					</ul>
				</div>
			</div>
		{/if}

		{foreach $listings as $listing}
			{include file='realestate:list.tpl'}
		{/foreach}

		{navigation aTotal=$pagination.total aTemplate=$pagination.url aItemsPerPage=$pagination.limit}

		<div class="box box-noheader box-compare">
			<h4>{lang key='compare'} {lang key='listings'}</h4>
			<div id="comparison-list">{lang key='no_listings_selected_to_compare'}</div>
			<p><a class="btn btn-small btn-info" href="{$packages.realestate.url}comparison/" id="js-cmd-compare" style="display: none;">{lang key='compare'}</a></p>
		</div>

		{ia_add_media files='js: _IA_URL_packages/realestate/js/front/comparison, js:_IA_URL_packages/realestate/js/front/index'}
	{else}
		<div class="message alert">{lang key='no_listings_to_show'}</div>
	{/if}
{/if}