<div class="b-item b-item--{$listing.status}{if $listing.featured} b-item--featured{/if}{if $listing.sponsored} b-item--sponsored{/if}">
	{if iaEstate::STATUS_SOLD == $listing.status}
		<span class="b-item__badge b-item__badge--status b-item__badge--status--sold">{lang key=$listing.status default=$listing.status}</span>
	{elseif $member && $member.id == $listing.member_id && iaCore::STATUS_ACTIVE != $listing.status}
		<span class="b-item__badge b-item__badge--status b-item__badge--status--{$listing.status}" title="{lang key=$listing.status default=$listing.status}"><i class="icon-warning-sign"></i> {lang key=$listing.status default=$listing.status}</span>
	{else}
		{if !$listing.sponsored && $listing.featured}<span class="b-item__badge b-item__badge-featured" title="{lang key='featured'}"><i class="icon-star"></i> {lang key='featured'}</span>{/if}
		{if $listing.sponsored}<span class="b-item__badge b-item__badge-sponsored" title="{lang key='sponsored'}"><i class="icon-dollar"></i> {lang key='sponsored'}</span>{/if}
	{/if}

	{if $listing.gallery}
		<a class="b-item__img" href="{ia_url type='url' item='estates' data=$listing}">
			{printImage imgfile=$listing.gallery[0]['path'] title=$listing.title}
		</a>
	{else}
		<a class="b-item__img b-item__img--no-preview" href="{ia_url type='url' item='estates' data=$listing}">
			<img src="{$img}item-no-preview.png" alt="{$listing.title}">
		</a>
	{/if}
	<div class="b-item__body">
		<div class="b-item__body__price">{$config.currency} {$listing.price}</div>
		<h3><a href="{ia_url type='url' item='estates' data=$listing}">{$listing.title|escape|truncate:60:'...':true}</a></h3>
		<p class="b-item__body__desc"><i class="icon-map-marker"></i> 
			{if !empty($listing.address)}{$listing.address}, {/if}
			{if !empty($listing.location)}{$listing.location}, {/if}
			{if !empty($listing.state)}{$listing.state}, {/if}
			{if !empty($listing.state)}{$listing.zip}{/if}
		</p>

		<div class="b-item__actions">
			{if 'favorites' != $core.page.name}
				<a class="btn btn-mini pull-left btn-compare" data-id="{$listing.id}" href="#" title="{lang key='mark_to_compare'}" data-disabled="{(isset($_SESSION[iaEstate::SESSION_COMPARISON_KEY][$listing.id])) ? 'disabled' : ''}"><i class="icon-tasks"></i></a>
			{/if}
			{accountActions item=$listing itemtype='estates' classname='btn-mini'}
			{printFavorites item=$listing itemtype='estates' classname='btn-mini'}
			{ia_url item='estates' type='icon' data=$listing classname='btn-mini'}
		</div>
		<table class="b-item__body__spec">
			<tbody>
				<tr>
					<td>{lang key="field_category"}:</td>
					<td><b><a href="{$packages.realestate.url}category/{$listing.category}/">{lang key="field_category_{$listing.category}"}</a></b></td>
					<td class="second-column">{lang key='field_bedrooms'}:</td>
					<td><b>{$listing.bedrooms}</b></td>
				</tr>
				<tr>
					<td>{lang key='field_type'}:</td>
					<td><b><a href="{$packages.realestate.url}type/{$listing.type}/">{lang key="field_type_{$listing.type}"}</a></b></td>
					<td class="second-column">{lang key='field_bathrooms'}:</td>
					<td><b>{$listing.bathrooms}</b></td>
				</tr>
				<tr>
					<td>{lang key='id'}:</td>
					<td><b>{$listing.id}</b></td>
					{if $listing.size}
						<td class="second-column">{lang key='field_size'}:</td>
						<td><b>{$listing.size}</b></td>
					{/if}
				</tr>
				<tr>
					<td>{lang key='added_date'}:</td>
					<td><b>{$listing.date_added|date_format:$config.date_format}</b></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>